require("topsin.excelxs");
try {
    var book = new Book;
    var ok = book.create("test.xlsx");
    if (!ok) throw "open xlsx failed.";
    var sheet1 = book.addSheet("test1");
    book.addSheet("test2");
    sheet1.setCellValue(0, 0, "test2");
    sheet1.addHyperlink("#test2!a1", 0, 0, 0, 0);
    book.save();
    book.close();
} catch(e) {
    print(e);
}